0

I am having problem with installing snort on Kali. I used the command:

sudo apt-get install snort -y

but it replies only that unable to locate the package error. I did upgrade, update, edit sources.list and did this one too:

sudo rm /var/lib/apt/lists/* -vf

then I tried to fix broken with:

sudo apt --fix-broken install

and then removed unneccesary of 650MB files with:

sudo apt-get autoremove

and then finally:

sudo apt-get update

Still same issue however it is only about snort but nothing else. I am not misspelling or anything because I copied the command as well as typed over and over still no result.

1

It seems that snort is not available in any of your current Kali repositories. Add the following repos in your /etc/apt/sources.list

# nano /etc/apt/sources.list

deb http://ch.archive.ubuntu.com/ubuntu/ saucy main restricted
deb-src http://ch.archive.ubuntu.com/ubuntu/ saucy main restricted

deb http://httpredir.debian.org/debian jessie main
deb-src http://httpredir.debian.org/debian jessie main

Now, save this file and do the following -

sudo apt-get update
sudo apt-get install snort

Since Kali is based on Debian, most Ubuntu packages work flawlessly in Kali. Thus, no need to worry about the aforementioned repos. You can also install this package from the source code. But it might require some additional tools.

| improve this answer | |
  • its say; ch.archive.ubuntu.com/ubuntu saucy Release 404 Not found {IP 019.202.202.202 : 80] and that respository cant be done securely so therefore disabled by default. – sayed hussain May 3 at 7:35
  • Comment out the ubuntu repos then, try with the Debian ones instead. Snort might be available in them – rubaiat May 3 at 8:46

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.